Skip to main content
`Ctrl`+`K`

# KSPSetReusePreconditioner

reuse the current preconditioner, do not construct a new one even if the operator changes

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetReusePreconditioner(KSP ksp, PetscBool flag)

Collective

## Input Parameters

- ksp - iterative context obtained from `KSPCreate()`

- flag - `PETSC_TRUE` to reuse the current preconditioner

## See Also

KSP: Linear System Solvers, `KSPCreate()`, `KSPSolve()`, `KSPDestroy()`, `PCSetReusePreconditioner()`, `KSP`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/ksp/ksp/tutorials/ex6f.F90

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages